Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ReturnTree

- All Superinterfaces:
    `StatementTree`, `Tree`

      public interface ReturnTree
      extends StatementTree

  A tree node for a 'return' statement. For example:

         return;
         return expression;

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getExpression​()` | Returns the expression being returned.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression​()

      Returns the expression being returned. This is null if no value is being returned. i.e., empty return statement.
      Returns:
        the returned expression